Update Folder
curl --request PATCH \
--url https://api.promptlayer.com/api/public/v2/folders/{folder_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.promptlayer.com/api/public/v2/folders/{folder_id}"
payload = { "name": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.promptlayer.com/api/public/v2/folders/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"folder": {
"id": 123,
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"path": [
{}
],
"workspace_id": 123,
"parent_id": 123,
"external_ids": [
{
"source": "<string>",
"external_id": "<string>"
}
]
}
}{
"success": true,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Unified Registry
Update Folder
PATCH
/
api
/
public
/
v2
/
folders
/
{folder_id}
Update Folder
Renames an existing folder. The new name must be unique within the folder’s parent (or at root level). The folder must belong to a workspace accessible by the authenticated user.
Authorizations
Path Parameters
The ID of the folder to update.
Body
application/json
The new name for the folder. Must be unique within its parent folder.
Required string length:
1 - 255Was this page helpful?
⌘I

